<?php
namespace Ak\Fs\Image;

use Laminas\ConfigAggregator\ConfigAggregator;
use Laminas\ConfigAggregator\PhpFileProvider;

/**
 * Pruža konfiguraciju komponente.
 *
 * @package Ak\Fs\Image
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/fs-image
 */
final class ConfigProvider
{
    /**
     * Vraća konfiguraciju.
     *
     * @return array
     */
    public function __invoke(): array
    {
        return (new ConfigAggregator([
            new PhpFileProvider(dirname(__DIR__) . '/config/*.config.php'),
        ]))->getMergedConfig();
    }
}
