<?php
namespace AkTest\Fs\Image;

use Ak\Fs\Image\ConfigProvider;
use Laminas\ConfigAggregator\ArrayProvider;
use Laminas\ConfigAggregator\ConfigAggregator;

/**
 * Class TestConfigProvider
 *
 * @package AkTest\Fs\Image
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/fs-image
 */
final class TestConfigProvider
{
    public function __invoke()
    {
        return (new ConfigAggregator([
            \Ak\Fs\ConfigProvider::class,
            \Ak\Image\Processor\ConfigProvider::class,
            ConfigProvider::class,
            new ArrayProvider([
                'fs' => [
                    'adapters' => [
                        'image' => [
                            'name' => 'image',
                            'options' => [
                                'root' => __DIR__ . '/data',
                            ],
                        ],
                    ],
                ],
            ]),
        ]))->getMergedConfig();
    }
}
